# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	gruler/
#	gruler/pkg-plist
#	gruler/pkg-descr
#	gruler/distinfo
#	gruler/Makefile
#	gruler/files
#	gruler/files/patch-Makefile.in
#
echo c - gruler/
mkdir -p gruler/ > /dev/null 2>&1
echo x - gruler/pkg-plist
sed 's/^X//' >gruler/pkg-plist << 'END-of-gruler/pkg-plist'
Xbin/gruler
Xinclude/gRuler/draw.h
Xinclude/gRuler/gui.h
Xinclude/gRuler/gui_callbacks.h
Xinclude/gRuler/main.h
Xinclude/gRuler/prefs.h
Xshare/gRuler/glade/gRuler.glade
Xshare/gnome/apps/Utilities/gRuler.desktop
X@dirrm share/gRuler/glade
X@dirrm share/gRuler
X@dirrm include/gRuler
END-of-gruler/pkg-plist
echo x - gruler/pkg-descr
sed 's/^X//' >gruler/pkg-descr << 'END-of-gruler/pkg-descr'
XgRuler is a screen ruler that helps measure 
Xdimension of on screen objects, a tool often 
Xvery helpful to webmasters.
X
XWWW: http://linuxadvocate.org/projects/gruler/
END-of-gruler/pkg-descr
echo x - gruler/distinfo
sed 's/^X//' >gruler/distinfo << 'END-of-gruler/distinfo'
XMD5 (gRuler-0.4.tar.gz) = 9fb13566b8c254af8ddce93cbee43c8a
XSIZE (gRuler-0.4.tar.gz) = 322121
END-of-gruler/distinfo
echo x - gruler/Makefile
sed 's/^X//' >gruler/Makefile << 'END-of-gruler/Makefile'
X# New ports collection makefile for:	gruler
X# Date created:				24 October 2004
X# Whom:					Piotr Smyrak <smyru@heron.pl>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	gruler
XPORTVERSION=	0.4
XCATEGORIES=	deskutils gnome
XMASTER_SITES=	http://linuxadvocate.org/projects/gruler/downloads/
XDISTNAME=${PORTNAME:S/gr/gR/}-${PORTVERSION}
X
XMAINTAINER=	smyru@heron.pl
XCOMMENT=	Screen ruler for GNOME desktop
X
XUSE_GMAKE=	yes
XUSE_X_PREFIX=	yes
XUSE_GNOME=	gnomeprefix gnomehack libgnomeui libglade2
XGNU_CONFIGURE=	yes
XCONFIGURE_ENV=	CPPFLAGS="-I${LOCALBASE}/include" \
X		LDFLAGS="-L${LOCALBASE}/lib"
X
X.include <bsd.port.mk>
END-of-gruler/Makefile
echo c - gruler/files
mkdir -p gruler/files > /dev/null 2>&1
echo x - gruler/files/patch-Makefile.in
sed 's/^X//' >gruler/files/patch-Makefile.in << 'END-of-gruler/files/patch-Makefile.in'
X--- Makefile.in.orig	Mon Oct  4 11:30:45 2004
X+++ Makefile.in	Mon Oct  4 11:32:03 2004
X@@ -157,18 +157,6 @@
X 
X SUBDIRS = intl po macros include src
X 
X-grulerdocdir = ${prefix}/doc/gRuler
X-grulerdoc_DATA = \
X-	README\
X-	COPYING\
X-	AUTHORS\
X-	ChangeLog\
X-	INSTALL\
X-	NEWS\
X-	TODO\
X-	ABOUT-NLS
X-
X-
X EXTRA_DIST = $(grulerdoc_DATA)
X 
X gnomemenudir = $(prefix)/@NO_PREFIX_PACKAGE_MENU_DIR@/Utilities
END-of-gruler/files/patch-Makefile.in
exit

